Skip to main content
GET
Retrieve an Evaluator

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Unique identifier of the evaluator, as returned in the _id field by GET /v2/evaluators.

Example:

"01JMDPA3QW5C1V0NJ1PW34T4E5"

Response

The evaluator. The response shape depends on the evaluator type.

metadata
object
required
_id
string
required
display_name
string
required
description
string
required
owner
string
required
domain_id
string
required
type
enum<string>
required
Available options:
llm_eval
prompt
string
required
enabled
boolean
default:true
created
string
default:2026-08-04T15:14:03.981Z
updated
string
default:2026-08-04T15:14:03.981Z
created_by_id
string | null
updated_by_id
string | null
guardrail_config
Boolean · object
output_type
enum<string>

The type of output expected from the evaluator

Available options:
boolean,
categorical,
number,
string
mode
enum<string> | null
Available options:
single,
jury,
null
repetitions
integer | null
Required range: 1 <= x <= 3
model
object
jury
object | null
categories
string[] | null
categorical_labels
object[] | null
dataset_id
string | null